@charset "utf-8";

/* ----------------------
 * ローカルナビ
 * ---------------------- */

 @media all and (min-width:641px) {
   nav#cts-nav ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    row-gap: 20px;
   }
 }
#cts-nav ul li a:after,
#cts-nav ul li .act:after {
  content: "\f105";
  font-family: FontAwesome;
}
#cts-nav ul li .act span {
  text-decoration: underline solid #0099ff;
  text-underline-offset: 7px;
}
#cts-nav ul li .act:after {
  content: "\f107";
}
#cts-nav ul li a,
#cts-nav ul li .act {
  font-weight: normal;
}

.asterisk {
  margin-inline-start: 1em;
  text-indent: -1em;
}

@media all and (min-width:641px) {
  #cts-nav {
    background-color: white;
  }
  #cts-nav ul.col3 li {
    width: fit-content;
  }
  #cts-nav ul li:not(:last-of-type) {
    border-right: 2px solid #ebeef1;
  }
  #cts-nav ul li:not(:first-of-type) {
    padding-inline-start: .5em;
  }
  #cts-nav ul li a,
  #cts-nav ul li .act {
    padding: 0;
    font-size: .9em;
  }
  #cts-nav ul li a:after,
  #cts-nav ul li .act:after {
    display: inline;
  }
}
/* ----------------------
 * details
 * ---------------------- */

.menu-box {
  margin-block-end: 30px;
  text-align: center;
  padding-inline: 20px;
}

/* ----------------------
 * Summary
 * ---------------------- */

.accordion summary {
  position: relative;
  padding: 1rem;
  padding-inline-start: 2.5em;
  list-style: none;
  cursor: pointer;
  border: 1px solid rgb(0, 153, 255);
  text-indent: -2.5em;
}

.accordion summary::-webkit-details-marker {
  display: none;
}

.accordion summary::after {
  content: "";
  width: 8px;
  height: 8px;
  border-right: 2px solid currentColor;
  border-bottom: 2px solid currentColor;

  position: absolute;
  right: 1rem;
  top: 50%;

  transform: translateY(-70%) rotate(45deg);
  transition: transform .3s ease;
}

.accordion[open] summary::after {
  transform: translateY(-30%) rotate(225deg);
}


/* ----------------------
 * Answer
 * ---------------------- */

.accordion::details-content {
  content-visibility: unset;
  display: grid;
  grid-template-rows: 0fr;
  transition:
    grid-template-rows .6s cubic-bezier(.22, 1, .36, 1);
}

.accordion[open]::details-content {
  grid-template-rows: 1fr;
}

.menu-box .accordion-contents {
  overflow: hidden;
  position: relative;
}

.menu-box .accordion-contents * {
  text-indent: 0;
}

.menu-box .accordion-contents > div {
  padding-block: .5em;
}
.two-digits.menu-box .accordion-contents > div {
  padding-inline-start: 3em;
}

.menu-box .accordion-contents > div > :first-child {
  margin-top: 0;
}

.menu-box .accordion-contents > div > :last-child {
  margin-bottom: 0;
}


/* ----------------------
 * Open
 * ---------------------- */

.accordion[open] .accordion-contents::before {
  opacity: 1;
}

.menu-box #cts-nav {
  margin-block: 0;
}

.accordion-contents a:hover {
  opacity: .8;
}

@media all and (min-width:641px) {
  .menu-box summary {
    display: none;
  }
}

.contact-link-area {
  margin-inline: auto;
  text-align: center;

  & > div {
    width: min(100%, 350px);
    margin-block: 1em;
    margin-inline: auto;
    
    & a {
      display: block;
      padding-block: 1em;
      text-align: center;
      background: linear-gradient(
      to top,
      #000 0%,
      #5b5b5b 100%
      );
      border-radius: 10px;
      color: white;
      text-decoration: none;
      transition: all .2s ease-in-out;

      &:hover {
        opacity: .8;
      }
    }
  }
}
a.link-btn-red {
  position: relative;
  display: inline-flex;
  padding-inline-start: 2em;
  font-weight: bold;
}

a.link-btn-red::after {
  content: "";
  position: absolute;
  left: 3.5em;
  top: 50%;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: #f00;
  transform: translateY(-50%);
}

a.link-btn-red::before {
  content: "";
  position: absolute;
  left: 4em;
  top: 50%;
  width: 8px;
  height: 8px;
  border-top: 3px solid #fff;
  border-right: 3px solid #fff;
  transform: translateY(-50%) rotate(45deg);
  z-index: 1;
}

.italic {
  font-style: italic;
}

.movie {
  width: 100%;
  aspect-ratio: 16 / 9;
  border: 0;
}

.inner-cts sub {
  font-size: 60%;
}